using Valg.EVA.Skanning.ServicesModel.ServiceContracts.Verification.Read;

namespace Valg.EVA.Skanning.Verify.Startup.VerifyBallotPaper.ReadModel
{
    public interface IReadModelHub
    {
        GetNextBallotPaperToVerifyResult GetNextBallotPaper(int currentBoxCountingId);
        GetBallotPaperResult GetBallotPaper(int ballotPaperId);
        bool IsBoxStillOpenForVerification(int boxCountingId);
        int[] GetBallotIdsVerified(int boxCountingId);
    }
}
